Name:		latfold
%define version 1.1.0
Version:	%{version}
Release:	1
Summary:	Game for folding of lattice model

Group:		Amusements/Games
License:	GPLv3
#URL:		
Source0:	latfold-%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	gtk2-devel >= 2.12.0
Requires:	gtk2 > 2.12.0

%description
The protein folding problem is very famous in science.
But Simulation of folding is quite difficult even if supercomputers are used.
This game is a simplified protein folding using 2-dimensional lattice model.

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
#
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
cp src/icon/latfold-16.xpm $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/latfold.xpm
cp src/icon/latfold-32.xpm $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/latfold.xpm
cp src/icon/latfold-48.xpm $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/latfold.xpm
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor gnome --delete-original \
		--dir $RPM_BUILD_ROOT%{_datadir}/applications latfold.desktop
%clean
rm -rf $RPM_BUILD_ROOT

%post
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%postun
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%files
%defattr(-,root,root,-)
%doc README NEWS COPYING
%{_bindir}/latfold
%{_datadir}/locale/ja/LC_MESSAGES/latfold.mo
%{_datadir}/applications/gnome-latfold.desktop
%{_datadir}/icons/*/*/*/latfold.xpm

%changelog
* Thu Aug 27 2009 - Kensuke IWAHASHI <iwahashi@ims.ac.jp>
- Add locale data.
* Thu Jul 30 2009 - Kensuke IWAHASHI <iwahashi@ims.ac.jp>
- initial package

